package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 课程毕业要求报表
 * </p>
 *
 * @author wangliang
 * @since 2024-06-13
 */
@ApiModel(value = "ObeCourseRequirementReport对象", description = "课程毕业要求报表")
public class ObeCourseRequirementReport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "培养方案id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long cultureProgramId;

    @ApiModelProperty(value = "毕业要求雷达报表")
    private String requirementRadar;

    @ApiModelProperty(value = "毕业要求详情报表")
    private String requirementDetail;

    @ApiModelProperty(value = "毕业要求达成值")
    private Double requirementDegree;

    public ObeCourseRequirementReport() {

    }

    public ObeCourseRequirementReport(Long cultureProgramId, String requirementRadar, String requirementDetail, Double requirementDegree) {
        this.cultureProgramId = cultureProgramId;
        this.requirementRadar = requirementRadar;
        this.requirementDetail = requirementDetail;
        this.requirementDegree = requirementDegree;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCultureProgramId() {
        return cultureProgramId;
    }

    public void setCultureProgramId(Long cultureProgramId) {
        this.cultureProgramId = cultureProgramId;
    }

    public String getRequirementRadar() {
        return requirementRadar;
    }

    public void setRequirementRadar(String requirementRadar) {
        this.requirementRadar = requirementRadar;
    }

    public String getRequirementDetail() {
        return requirementDetail;
    }

    public void setRequirementDetail(String requirementDetail) {
        this.requirementDetail = requirementDetail;
    }

    public Double getRequirementDegree() {
        return requirementDegree;
    }

    public void setRequirementDegree(Double requirementDegree) {
        this.requirementDegree = requirementDegree;
    }
}
